Please be aware that over the next few days we will be updating our servers from MySQL version 5.6  to  version 5.7

There are no configuration changes, but customers should be aware that version 5.7 uses something called "strict mode" which, among other things, doesn't allow null values in queries, such as empty date fields etc - and these will produce errors in some older, outdated scripts.

It should be noted that we wait as long as possible to update MySQL so that customers have a chance to ensure their scripts are up to date. Most applications written in the last five years should not be affected. If you have an old, outdated website that relies on MySQL, the chances are that it will stop working at some point in the future if you don't update it.

MySQL version 5.7 was released in 2015, so we have waited four years to perform this update. Version 5.6 was end of life a couple of months ago and is no longer supported.

We have taken steps to temporarily disable strict mode in MySQL 5.7 to give customers more time, but we must make you aware that this will not last forever, our upgrade plan for MySQL is to update to MariaDB which is a higher performance version of MySQL, written by the original developers of MySQL and we expect to do this within the next 12 months.

Our advice is to make sure that your PHP applications and scripts are kept up to date at all times.



Monday, August 5, 2019





Back